set-env BAT_PAGER 'less -RF'
set-env EDITOR vim
set-env VIEW 'vim -R'
set-env CURRENT_SHELL 'elvish'
paths = [$@paths /home/benjamin/bin /home/benjamin/Go/bin ]

{
  use moi/util/list
  if (list:includes-not /usr/local/bin $paths) {
    paths = [ $@paths /usr/local/bin ]
  }
}

notify-bg-job-success = $false

edit:insert:binding[Tab]    = { edit:completion:smart-start; edit:navigation:trigger-filter }
edit:insert:binding[Ctrl-H] = $edit:histlist:start~

edit:prompt  = { go-prompt }
edit:rprompt = { nop }

use moi/completion
use moi/alias
use moi/util/common

{
  use ./aliases/get-uid uid
  if (not (uid:-is-root)) {
    tache search -d 2w not del
  }
}
